Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(8)

Unified Diff: tools/testing/bin/jsshell

Issue 11031064: Reland support for firefox jsshell. (Closed) Base URL: http://dart.googlecode.com/svn/branches/bleeding_edge/dart/
Patch Set: Created 8 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | tools/testing/bin/jsshell.bat » ('j') | tools/testing/dart/test_suite.dart » ('J')
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/testing/bin/jsshell
===================================================================
--- tools/testing/bin/jsshell (revision 0)
+++ tools/testing/bin/jsshell (revision 0)
@@ -0,0 +1,18 @@
+#!/bin/bash
+# Copyright (c) 2012, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+
+case $OSTYPE in
+ *[Dd]arwin*)
+ exec ${0%/*}/../../../third_party/firefox_jsshell/macos/js "$@"
+ ;;
+ *[Ll]inux*)
+ LD_LIBRARY_PATH=${0%/*}/../../../third_party/firefox_jsshell/linux/ exec ${0%/*}/../../../third_party/firefox_jsshell/linux/js "$@"
ahe 2012/10/05 12:46:45 Wrap line with \ (backslash)
ricow1 2012/10/05 12:49:56 Done.
+ ;;
+ *)
+ echo No jsshell binary for $(uname) >2
+ exit 1
+ ;;
+esac
Property changes on: tools/testing/bin/jsshell
___________________________________________________________________
Added: svn:executable
+ *
« no previous file with comments | « no previous file | tools/testing/bin/jsshell.bat » ('j') | tools/testing/dart/test_suite.dart » ('J')

Powered by Google App Engine
This is Rietveld 408576698